IF EXISTS (SELECT * FROM dbo.SysObjects WHERE id = object_id(N'dbo.TRIGGER_ReservationRoomLineLastUpdDateStamp') AND OBJECTPROPERTY(id, N'IsTrigger') = 1) DROP TRIGGER dbo.TRIGGER_ReservationRoomLineLastUpdDateStamp 
GO
CREATE TRIGGER [dbo].[TRIGGER_ReservationRoomLineLastUpdDateStamp] ON [dbo].[ReservationRoomLine] AFTER INSERT,UPDATE AS
BEGIN
  SET NOCOUNT ON
  UPDATE ReservationRoomLine SET LastUpdDateStamp = GETDATE() 
  WHERE ReservationRoomLine.LineNumber IN (SELECT LineNumber FROM inserted)
END
